## higan 093

=== debian/changelog ===
higan (093-1) unstable; urgency=low

  * New upstream release (Closes: #697130, #698848, #709979)
  * Program was renamed to higan.
    - Rename package.
    - New packaging git repository.
  * bsnes becomes transitional package.
  * laevateinn (debugger) was removed.
  * Include user guide in html format.
  * Shared files are no longer copied to ~/.config/higan at startup.
  * Include library libananke for importing games, installed
    to /usr/lib/games/higan, replaces bsnes-purify.
  * Lots of packaging adjustments to accommodate to many upstream changes.

 -- Tobias Hansen <thansen@debian.org>  Wed, 09 Oct 2013 01:20:17 +0200

bsnes (0.088-7) unstable; urgency=low

  * Make filters non-executable.
    (Closes: #715586, #715589, #715595, #715596, #715601)
  * Use canonical Vcs-* fields (with anonscm.d.o).

 -- Tobias Hansen <thansen@debian.org>  Sun, 14 Jul 2013 11:58:28 +0200

bsnes (0.088-6) unstable; urgency=low

  * Added missing X11 lib to link, fixing FTBFS. (Closes: #713712)
  * Do not assume /usr/games is in $PATH, call the full path of
    the alternatives links /usr/share/bsnes-bin and laevateinn-bin
    from the start scripts. (Closes: #692163)
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Use dh --parallel.

 -- Tobias Hansen <thansen@debian.org>  Sat, 22 Jun 2013 19:45:44 +0200

bsnes (0.088-5) unstable; urgency=low

  * Fix issues with bsnes-purify (Closes: #687034):
    - Fix segmentation fault when run with less than two arguments.
    - Purify also files with uppercase suffix.
  * Add missing epoch to versioned Build-Depends on gcc (Closes: #687197).
  * Remove workaround for g++ bug PR c++/53821, which is now fixed in wheezy.
  * Change my email address in debian/control to the debian.org one.
  * Remove DMUA flag.

 -- Tobias Hansen <thansen@debian.org>  Sun, 23 Sep 2012 20:05:41 +0200

bsnes (0.088-4) unstable; urgency=low

  * Add workaround for g++ bug PR c++/53821. (Closes: #684840)

 -- Tobias Hansen <tobias.han@gmx.de>  Tue, 04 Sep 2012 01:54:01 +0200

bsnes (0.088-3) unstable; urgency=low

  * Add bsnes-purify to the bsnes package.
    A command line tool that replaces snespurify and adds:
    - support for ROMs of other systems than SNES
    - creates cartridge folders for ROMs (folders for all data
      belonging to a game - will be mandatory starting from bsnes 0.089)
  * debian/bsnes-purify.6
    - Added. Manual page for bsnes-purify.
  * debian/patches/fix-purify-header-removal-and-input.patch:
    - Added. Header detection was broken and the tool didn't
      accept folder names without trailing slash.
  * debian/changelog:
    - Remove wrong line "Rename snespurify to bsnes-purify."
      from 0.088-1 entry.

 -- Tobias Hansen <tobias.han@gmx.de>  Fri, 11 May 2012 13:15:13 +0200

bsnes (0.088-2) unstable; urgency=low

  * debian/patches/remove-march=native-build-flag.patch:
    - Added. This build flag causes binaries that don't work on all processors
      and is not supported on all architectures.

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 05 May 2012 13:10:27 +0200

bsnes (0.088-1) unstable; urgency=low

  [Gregor Herrmann]
  * Fix "FTBFS: ./ruby/audio/alsa.cpp:4:28: fatal error:
    alsa/asoundlib.h: No such file or directory":
    build-depend on libasound2-dev (linux) (Closes: #669447)

  [Tobias Hansen]
  * New upstream release.
    - Adds Game Boy Advance support.
    - Removes snespurify sources.
    - Compiles with gcc 4.7. (Closes: #667122)
  * snespurify removed from package bsnes.
  * debian/rules:
    - Don't use the install targets of the makefiles anymore.
    - Check DEB_BUILD_OPTIONS for 'testbuild', build only
      bsnes-compatibility when found to allow for fast test builds.
  * Install new system folders to /usr/share/games/bsnes and 
    /usr/share/games/laevateinn.
    - Copy folders and symlink to files in debian/startscript/bsnes.
    - Rename laevateinn binary to laevateinn-bin, create wrapper script
      laevateinn to copy folders and symlink to files also for laevateinn.
    - Create man page for laevateinn-bin. 
  * debian/bsnes.6:
    - Mention Game Boy Advance support.
    - Mention system folders and bios image required for GBA emulation.
    - Add note that files with wrong extensions or copier headers can't be
      opened.
  * debian/patches/misc-makefile-changes.patch:
    - Removed. Installation is now done in debian/bsnes.install
      and debian/rules.
    - Disabling ALSA is now done in
      debian/patches/disable-alsa-on-non-linux.patch.
  * debian/patches/disable-alsa-on-non-linux.patch:
    - Added. This is what is left of
      debian/patches/misc-makefile-changes.patch.
  * debian/patches/build-snespurify-with-newest-g++.patch:
    - Removed. Obsolete since purify uses a makefile now.
  * debian/patches/use-dpkg-buildflags.patch:
    - Changed. Cope with purify using a makefile.
  * debian/patches/detect-endianness.patch
    debian/patches/detect-non-linux-archs.patch
    debian/patches/snespurify-dont-crash-on-bad-zip-files.patch:
    - Changed. Address upstream changes.
  * debian/patches/declare-functions-in-smp-hpp.patch:
    - Removed. FTBFS was fixed upstream.
  * debian/watch: look for .tar.xz file.

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 05 May 2012 11:00:20 +0200

bsnes (0.087-1) unstable; urgency=low

  * New upstream release.
  * Include laevateinn, the bsnes debugger:
    - New package laetvateinn.
    - Create debian/laevateinn.6, debian/laevateinn.desktop,
      debian/laevateinn.menu, debian/laevateinn.xpm,
      and debian/laevateinn.png.
  * debian/bsnes.6:
    - Reference laevateinn(6).
  * Add Suggests: laevateinn to bsnes package.
  * debian/patches/declare-functions-in-smp-hpp.patch:
    - Added. Needed to fix FTBFS of bsnes-performance.
  * debian/patches/use-dpkg-buildflags.patch:
    - Added. Makefiles have to be modified to support CFLAGS.
  * debian/patches/reduce-optimization.patch:
    - Removed. With dpkg-buildflags, the optimization flags

