=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

# We have to clean manually because the Makefile does not support distclean,
# and does not remove compiled higan binary
override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) --directory=ananke clean
	rm -rf obj out ananke/obj

override_dh_auto_build:
	mkdir -p obj out ananke/obj
	dh_auto_build -- profile=balanced name=higan-balanced
# Allow for building higan only once when testing stuff with the build option testbuild.
ifeq (,$(findstring testbuild,$(DEB_BUILD_OPTIONS)))
	$(MAKE) clean
	dh_auto_build -- profile=accuracy name=higan-accuracy
	$(MAKE) clean
	dh_auto_build -- profile=performance name=higan-performance
else
	cp out/higan-balanced out/higan-accuracy
	cp out/higan-balanced out/higan-performance
endif
	$(MAKE) --directory=ananke

override_dh_auto_install:
	install -D -m 644 data/higan.png debian/higan/usr/share/pixmaps/higan.png
	install -D -m 644 data/higan512.png debian/higan/usr/share/pixmaps/higan512.png
	install -D -m 644 data/higan.desktop debian/higan/usr/share/applications/higan.desktop
	install -D -m 644 data/cheats.bml debian/higan/usr/share/games/higan/cheats.bml
	cp -R profile/* debian/higan/usr/share/games/higan
	chmod 644 debian/higan/usr/share/games/higan/*/*
	mkdir -p debian/higan/usr/share/games/higan/Video\ Shaders
	cp -R shaders/*.shader debian/higan/usr/share/games/higan/Video\ Shaders
	chmod 644 debian/higan/usr/share/games/higan/Video\ Shaders/*/*
	install -D -m 644 ananke/libananke.so debian/higan/usr/lib/games/higan/libananke.so.1

override_dh_link:
	dh_link usr/lib/games/higan/libananke.so.1 usr/lib/games/higan/libananke.so

override_dh_auto_test:
override_dh_makeshlibs:
