=== debian/watch ===
version=3
http://byuu.org/higan/release/higan_v([0-9.]+)-source.tar.xz
