## higan 094

=== debian/changelog ===
higan (094-6) unstable; urgency=medium

  * Instead of checking for the available OpenGL version,
    try creating an OpenGL 3.2 context and handle possible X errors.
    The previous check would find the OpenGL compatibility profile version
    which can be lower than the core profile version (e.g. when using Mesa)
    leading to false positives. (Closes: #790114)
    - Remove check-opengl-version.patch
    - Add handle-opengl-x-error.patch
  * Remove transitional dummy package bsnes.
  * Add Provides: nes-emulator to d/control (Closes: #777098)
  * Create debian/watch.
  * Bump Standards-Version to 3.9.6.

 -- Tobias Hansen <thansen@debian.org>  Tue, 14 Jul 2015 23:52:16 +0200

higan (094-5) unstable; urgency=medium

  * Use standard gcc instead of gcc-4.8. (Closes: #751314)

 -- Tobias Hansen <thansen@debian.org>  Sun, 03 Aug 2014 16:57:25 +0200

higan (094-4) unstable; urgency=medium

  * Add a hack to the postinst script to make higan show up
    in gnome-shell right after the installation. (Closes: #748018)
  * Add another patch by Michael Gold:
    - use-XDG_CONFIG_HOME.patch:
      Store config files in $XDG_CONFIG_HOME if set. (Closes: #738270)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 May 2014 11:22:08 +0200

higan (094-3) unstable; urgency=medium

  * Add patches by Michael Gold:
    - dt_lnk-dt_unknown.patch:
      Handle symlinks/DT_UNKNOWN correctly. (Closes: #737361)
    - fc-heuristic-error.patch:
      Prevent crash when importing unheadered NES ROM. (Closes: #737363)
    - noopt-nostrip.patch:
      Support DEB_BUILD_OPTIONS='noopt nostrip'. (Closes: #737364)
  * Modify patch:
    - load-private-libraries.patch:
      Look for libraries first in LD_LIBRARY_PATH first. (Closes: #737365)

 -- Tobias Hansen <thansen@debian.org>  Mon, 24 Feb 2014 23:50:09 +0100

higan (094-2) unstable; urgency=medium

  * New patch sjlj-declare-xopen-source.patch:
    sjlj.c requires the X/Open 7 standard which caused
    FTBFS on all architectures except amd64, i386 and powerpc.
  * Disable fortify hardening flag when sjlj.c is used, it breaks
    higan (tested with sjlj.c on amd64).
  * Add lintian overrides for debian-watch-file-is-missing and
    hardening-no-fortify-functions.

 -- Tobias Hansen <thansen@debian.org>  Sat, 25 Jan 2014 12:59:26 +0100

higan (094-1) unstable; urgency=medium

  * New upstream release.
  * New dependency libudev on Linux.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Update user guide.
  * Delete patches applied upstream:
    - debian/patches/detect-endianness.patch
    - debian/patches/detect-non-linux-archs.patch
    - debian/patches/disable-alsa-on-non-linux.patch
  * New patches:
    - debian/patches/force-button-images.patch:
      Fixes missing images on buttons.
    - debian/patches/check-opengl-version.patch:
      Handle missing OpenGL 3.2 support gracefully.
      (Closes: #730836)
  * Remove debian/watch because byuu.org/higan is gzip
    compressed unconditionally which uscan does not support.

 -- Tobias Hansen <thansen@debian.org>  Sat, 25 Jan 2014 02:24:18 +0100

higan (093-2) unstable; urgency=low

  * Use g++-4.8 on all architectures (at least g++-4.7 is required).
  * Move from section games to otherosfs, move files accordingly from
    /usr/games to /usr/bin, /usr/share/games to /usr/share.
  * Add preinst scripts to remove old alternatives bsnes-bin and higan.
  * Remove Brandon Barnes from debian/* copyright holders, everything
    was redone multiple times since then. Change license of debian/*
    to GPL-3.

 -- Tobias Hansen <thansen@debian.org>  Wed, 27 Nov 2013 00:28:21 +0100
