=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: higan
-Section: games
+Section: otherosfs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>
@@ -10,9 +10,9 @@
                libopenal-dev,
                libao-dev,
                libxv-dev,
-               libasound2-dev [linux-any],
-               gcc (>= 4:4.6)
-Standards-Version: 3.9.4
+               libudev-dev [linux-any],
+               libasound2-dev [linux-any]
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-games/higan.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/higan.git
 Homepage: http://byuu.org/higan/
@@ -20,6 +20,7 @@
 Package: higan
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: nes-emulator
 Description: Accurate Nintendo multi-system emulator
  higan is an emulator for Nintendos SNES, NES, Gameboy, Gameboy Color
  and Gameboy Advance. It was formerly called bsnes and the SNES
@@ -34,10 +35,3 @@
  system resources of the SNES emulation. Which profile to use can be set with:
  .
  # update-alternatives --config higan
-
-Package: bsnes
-Depends: higan, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
