=== debian/watch ===
version=3
http://byuu.org/emulation/higan/ .*higan_v(\d+)-source\.tar\.xz
