## higan 098

=== debian/changelog ===
higan (098-2) unstable; urgency=medium

  * Disable check for the size of long double to
    fix build on armel, armhf, mips and mipsel.
  * New patch to fix build on kfreebsd:
    - disable-alsa-on-non-linux.patch

 -- Tobias Hansen <thansen@debian.org>  Tue, 28 Jun 2016 11:16:28 +0100

higan (098-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches (no longer needed):
    - load-private-libraries.patch
    - force-button-images.patch
    - fc-heuristic-error.patch
    - dt_lnk-dt_unknown.patch
    - handle-opengl-x-error.patch
  * Change patches:
    - noopt-nostrip.patch to noopt.patch:
      Binaries are no longer stripped by default.
  * Refresh/update patches:
    - nall-makefile-fixes.patch
    - makefile-fixes.patch
    - desktop-file.patch
    - sjlj-declare-xopen-source.patch
    - use-XDG_CONFIG_HOME.patch
  * New patches:
    - use_sharedpath.patch
    - ignore_manifests_by_default.patch
    - create_config.patch
    - include_cmath.patch
  * Fix .desktop file syntax. (Closes: #812482)
  * Update homepage URL. (Closes: #808788)
  * Bump Standards-Version.
  * Remove menu file.
  * Remove lintian override for menu-command-not-in-package.
  * Update debian/watch.
  * Use https vcs urls.
  * Update debian/copyright with new file locations.
  * Update user guide.
  * Write man page for icarus.

 -- Tobias Hansen <thansen@debian.org>  Sun, 26 Jun 2016 12:56:27 +0100
