=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>
 Build-Depends: debhelper (>= 9),
+               pkg-config,
                libgtk2.0-dev,
+               libgtksourceview2.0-dev,
                libsdl1.2-dev,
                libpulse-dev,
                libopenal-dev,
@@ -12,10 +14,10 @@
                libxv-dev,
                libudev-dev [linux-any],
                libasound2-dev [linux-any]
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-games/higan.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/higan.git
-Homepage: http://byuu.org/higan/
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/higan.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-games/higan.git
+Homepage: http://byuu.org/emulation/higan/
 
 Package: higan
 Architecture: any
