## higan 103

=== debian/changelog ===
higan (103-2) unstable; urgency=medium

  * Apply sjlj-ftbfs.patch from Adrian Bunk (Closes: 869385)
    (Include settings.h for thread_local.)

 -- Tobias Hansen <thansen@debian.org>  Sun, 23 Jul 2017 21:46:27 +0100

higan (103-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.

 -- Tobias Hansen <thansen@debian.org>  Sat, 22 Jul 2017 13:36:18 +0100

higan (102-1) experimental; urgency=medium

  * New upstream release. (Closes: #837553)
  * Higan no longer has profiles (accuracy, balanced, performance).
    New versions of higan use what used to be the accuracy profile.
    Consequently the update-alternatives mechanism to choose a profile
    was removed from the package.
  * Switch to dh compat level 10.
  * Use install target of upstream makefile.
  * Remove disable_long_double_size_check.patch (applied upstream).
  * Disable udev on kfreebsd. (Closes: #834061)

 -- Tobias Hansen <thansen@debian.org>  Mon, 13 Feb 2017 21:23:07 +0000
