=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifeq (,$(findstring $(DEB_BUILD_ARCH_CPU),"amd64 i386 powerpc"))
	export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
endif

%:
	dh $@ --sourcedirectory=higan

override_dh_auto_clean:
	$(MAKE) --directory=icarus clean
	dh_auto_clean

override_dh_auto_build:
	mkdir -p icarus/obj icarus/out
	$(MAKE) --directory=icarus
	mkdir -p higan/obj higan/out
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- prefix=../debian/tmp/usr

override_dh_auto_test:
