## higan 106

=== debian/changelog ===
higan (106-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:45 +0100

higan (106-2) unstable; urgency=medium

  * Build hiro without SourceEdit to avoid dependence on
    libgtksourceview2.0-dev. (Closes: #885687)

 -- Tobias Hansen <thansen@debian.org>  Sat, 30 Dec 2017 16:09:44 +0100

higan (106-1) unstable; urgency=medium

  * New upstream release.

 -- Tobias Hansen <thansen@debian.org>  Mon, 20 Nov 2017 20:34:12 +0100

higan (105-1) unstable; urgency=medium

  * New upstream release (Closes: #791636).
  * Remove noopt.patch, makefile now allows build without optimization
    by setting build=debug.

 -- Tobias Hansen <thansen@debian.org>  Mon, 09 Oct 2017 23:28:22 +0100

higan (104-1) unstable; urgency=medium

  * New upstream release.
  * Remove sjlj-ftbfs.patch (applied upstream).
  * Remove old user guide since there is now an official user guide
    provided online and linked from the Help menu.
  * Bump Standards-Version to 4.1.0.

 -- Tobias Hansen <thansen@debian.org>  Sat, 02 Sep 2017 19:33:51 +0100
