=== debian/control ===
Source: higan
Section: otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends: debhelper (>= 10),
               pkg-config,
               libgtk2.0-dev,
               libsdl1.2-dev,
               libpulse-dev,
               libopenal-dev,
               libao-dev,
               libxv-dev,
               libudev-dev [linux-any],
               libasound2-dev [linux-any]
Standards-Version: 4.1.2
Vcs-Git: https://anonscm.debian.org/git/pkg-games/higan.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/higan.git
Homepage: http://byuu.org/emulation/higan/

Package: higan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: nes-emulator
Description: Accurate multi-system emulator
 higan is an emulator for systems from Nintendo (SNES, NES, Gameboy,
 Gameboy Color, Gameboy Advance), Sega (Master System, Game Gear),
 NEC (PC Engine, SuperGrafx) and Bandai (WonderSwan, WonderSwan Color).
 It was formerly called bsnes and the SNES emulation is especially
 complete and polished.
 .
 higan strives to provide the most faithful hardware emulation possible.
 It focuses on accuracy and clean code, rather than speed and special
 features. It is meant as a reference emulator to document how the underlying
 hardware works. As a result the minimum system requirements are high.
